var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target, mod));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/createModal/demos/UserSelect.tsx
var UserSelect_exports = {};
__export(UserSelect_exports, {
  default: () => UserSelect_default
});
module.exports = __toCommonJS(UserSelect_exports);
var import_antd = require("antd");
var import_react = __toESM(require("react"));
var UserSelect = (0, import_react.forwardRef)((_props, ref) => {
  const [selected, setSelected] = (0, import_react.useState)([]);
  (0, import_react.useImperativeHandle)(ref, () => ({
    async validateFields() {
      if (selected.length === 0) {
        throw new Error("One at least");
      } else if (selected.length > 2) {
        throw new Error("Two at most");
      }
      return selected;
    }
  }));
  return /* @__PURE__ */ import_react.default.createElement(import_antd.Table, {
    columns: [
      {
        title: "Name",
        dataIndex: "name",
        render: (text) => /* @__PURE__ */ import_react.default.createElement("a", null, text)
      },
      {
        title: "Age",
        dataIndex: "age"
      }
    ],
    dataSource: [
      {
        id: "1",
        name: "John Brown",
        age: 32
      },
      {
        id: "2",
        name: "Jim Green",
        age: 42
      },
      {
        id: "3",
        name: "Joe Black",
        age: 32
      }
    ],
    pagination: false,
    rowKey: "id",
    rowSelection: {
      type: "checkbox",
      selectedRowKeys: selected.map((user) => user.id),
      onChange(keys, rows) {
        setSelected(rows);
      }
    }
  });
});
var UserSelect_default = UserSelect;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {});
