var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target, mod));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/createModal/demos/custom.tsx
var custom_exports = {};
__export(custom_exports, {
  default: () => custom_default
});
module.exports = __toCommonJS(custom_exports);
var import_react = __toESM(require("react"));
var import_antd = require("antd");
var import_create_antd_modal = require("../../index");
var import_UserSelect = __toESM(require("./UserSelect"));
var import_services = require("./services");
var Demo = () => {
  return /* @__PURE__ */ import_react.default.createElement(import_antd.Button, {
    onClick: () => {
      (0, import_create_antd_modal.createModal)({
        title: "Select Users",
        maskClosable: false,
        render: (formLikeRef) => /* @__PURE__ */ import_react.default.createElement(import_UserSelect.default, {
          ref: formLikeRef
        }),
        async onOk(values) {
          console.log(`Selected Users:`, values);
          if (values) {
            await (0, import_services.someService)(values);
            import_antd.message.success("Submit successful");
          }
        },
        onFailed(error) {
          if (error instanceof Error) {
            import_antd.message.error(error.message);
          }
        }
      });
    }
  }, "Select Users");
};
var custom_default = Demo;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {});
