var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target, mod));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/createModal/demos/with-form.tsx
var with_form_exports = {};
__export(with_form_exports, {
  default: () => with_form_default
});
module.exports = __toCommonJS(with_form_exports);
var import_react = __toESM(require("react"));
var import_antd = require("antd");
var import_create_antd_modal = require("../../index");
var import_services = require("./services");
var Demo = () => {
  return /* @__PURE__ */ import_react.default.createElement(import_antd.Button, {
    onClick: () => {
      (0, import_create_antd_modal.createModal)({
        title: "Login",
        maskClosable: false,
        children: /* @__PURE__ */ import_react.default.createElement(import_antd.Form, {
          name: "login",
          labelCol: { span: 6 },
          wrapperCol: { span: 12 },
          initialValues: { username: "create-antd-modal" },
          autoComplete: "off"
        }, /* @__PURE__ */ import_react.default.createElement(import_antd.Form.Item, {
          label: "Username",
          name: "username",
          rules: [{ required: true, message: "Please input your username!" }]
        }, /* @__PURE__ */ import_react.default.createElement(import_antd.Input, null)), /* @__PURE__ */ import_react.default.createElement(import_antd.Form.Item, {
          label: "Password",
          name: "password",
          rules: [{ required: true, message: "Please input your password!" }]
        }, /* @__PURE__ */ import_react.default.createElement(import_antd.Input.Password, null))),
        async onOk(values) {
          console.log(`Logging in with:`, values);
          await (0, import_services.someService)(values);
          import_antd.message.success("Login successful");
        }
      });
    }
  }, "Login");
};
var with_form_default = Demo;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {});
